<template>
  <div class="trophies mb-5">
    <h1 class="first-letter-colored is-capitalized is-size-4">
      {{ $t('levels.trophies') }}
    </h1>
    <ul class="trophies-list">
      <li v-for="trophy in trophyTypes"
          :key="trophy"
          class="is-inline mx-1">
        <trophy :type="trophy" />
        <span class="has-text-weight-bold">
          {{ getCount(trophy) }}
        </span>
        <br v-if="trophy === 'bronze'"/>
      </li>
    </ul>
  </div>
</template>

<script lang="ts">
import { Component, Vue, Prop } from 'vue-property-decorator';
import { Trophies, Trophy as TrophyType } from '@/types/scores';
import Trophy from '@/components/Trophy.vue';
import { get, omit } from 'lodash';

@Component({
  components: { Trophy }
})
export default class UserTrophies extends Vue {
  @Prop(Object) readonly trophies: Trophies;
  trophyTypes = Object.values(omit(TrophyType, 'NEWBIE'));

  getCount(type: TrophyType): number {
    return get(this.trophies, type,  0);
  }
}
</script>

